xlsx-1.1.2.2: Simple and incomplete Excel file parser/writer

Safe Haskell | Safe-Inferred
Language | Haskell2010

Codec.Xlsx.Writer.Internal.PivotTable

# Documentation

data PivotTableFiles Source #

Constructors

PivotTableFiles |

Fields

- pvtfTable :: ByteString
- pvtfCacheDefinition :: ByteString
- pvtfCacheRecords :: ByteString

#### Instances

Instances details

Generic PivotTableFiles Source # |
Instance details Defined in Codec.Xlsx.Writer.Internal.PivotTable Associated Types type Rep PivotTableFiles :: Type -> Type Source # Methods from :: PivotTableFiles -> Rep PivotTableFiles x Source # to :: Rep PivotTableFiles x -> PivotTableFiles Source #
Show PivotTableFiles Source # |
Instance details Defined in Codec.Xlsx.Writer.Internal.PivotTable Methods showsPrec :: Int -> PivotTableFiles -> ShowS Source # show :: PivotTableFiles -> String Source # showList :: [PivotTableFiles] -> ShowS Source #
Eq PivotTableFiles Source # |
Instance details Defined in Codec.Xlsx.Writer.Internal.PivotTable Methods (==) :: PivotTableFiles -> PivotTableFiles -> Bool Source # (/=) :: PivotTableFiles -> PivotTableFiles -> Bool Source #
type Rep PivotTableFiles Source # |

Instance details

Defined in Codec.Xlsx.Writer.Internal.PivotTable

type Rep PivotTableFiles = D1 ('MetaData "PivotTableFiles" "Codec.Xlsx.Writer.Internal.PivotTable" "xlsx-1.1.2.2-DopzEu8STPN4igxHgE9OUe" 'False) (C1 ('MetaCons "PivotTableFiles" 'PrefixI 'True) (S1 ('MetaSel ('Just "pvtfTable") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ByteString) :*: (S1 ('MetaSel ('Just "pvtfCacheDefinition") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ByteString) :*: S1 ('MetaSel ('Just "pvtfCacheRecords") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ByteString))))

renderPivotTableFiles :: CellMap -> Int -> PivotTable -> PivotTableFiles Source #